summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-04-04 03:29:25 +0000
committerJim Meyering <jim@meyering.net>1997-04-04 03:29:25 +0000
commit00ea088ccd66beef38355469925293db01a2bd94 (patch)
tree091bfacdd44d61608338d8bfbb469c42f52ca884
parentcd45cc73356cc1b701219e08409d79d48ac31827 (diff)
downloadcoreutils-00ea088ccd66beef38355469925293db01a2bd94.tar.xz
.
-rw-r--r--m4/Makefile.in19
-rwxr-xr-xtests/cut/cut-tests53
2 files changed, 56 insertions, 16 deletions
diff --git a/m4/Makefile.in b/m4/Makefile.in
index 0e95c3032..83e32f580 100644
--- a/m4/Makefile.in
+++ b/m4/Makefile.in
@@ -52,10 +52,8 @@ CATOBJEXT = @CATOBJEXT@
CC = @CC@
DATADIRNAME = @DATADIRNAME@
GENCAT = @GENCAT@
-GETLOADAVG_LIBS = @GETLOADAVG_LIBS@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
-GNU_PACKAGE = @GNU_PACKAGE@
GT_NO = @GT_NO@
GT_YES = @GT_YES@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
@@ -63,35 +61,26 @@ INSTOBJEXT = @INSTOBJEXT@
INTLDEPS = @INTLDEPS@
INTLLIBS = @INTLLIBS@
INTLOBJS = @INTLOBJS@
-KMEM_GROUP = @KMEM_GROUP@
LIBOBJS = @LIBOBJS@
MAINT = @MAINT@
-MAN = @MAN@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
-NEED_SETGID = @NEED_SETGID@
-OPTIONAL_BIN_PROGS = @OPTIONAL_BIN_PROGS@
-OPTIONAL_BIN_ZCRIPTS = @OPTIONAL_BIN_ZCRIPTS@
PACKAGE = @PACKAGE@
PERL = @PERL@
POFILES = @POFILES@
POSUB = @POSUB@
POW_LIBM = @POW_LIBM@
RANLIB = @RANLIB@
-SEQ_LIBM = @SEQ_LIBM@
-SQRT_LIBM = @SQRT_LIBM@
U = @U@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
-YACC = @YACC@
+l = @l@
EXTRA_DIST = README \
-ccstdc.m4 dmalloc.m4 error.m4 getgroups.m4 getline.m4 getloadavg.m4 \
-gettext.m4 header.m4 init.m4 install.m4 jm-mktime.m4 jm-winsz1.m4 \
-jm-winsz2.m4 lcmessage.m4 lispdir.m4 maintainer.m4 memcmp.m4 mktime.m4 \
-obstack.m4 progtest.m4 protos.m4 ptrdiff.m4 regex.m4 sanity.m4 strftime.m4 \
-strtod.m4 termios.m4 uptime.m4 winsz.m4
+chown.m4 getgroups.m4 getline.m4 getloadavg.m4 gettext.m4 jm-mktime.m4 \
+jm-winsz1.m4 jm-winsz2.m4 lcmessage.m4 memcmp.m4 mktime.m4 progtest.m4 \
+strftime.m4 uptime.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES =
diff --git a/tests/cut/cut-tests b/tests/cut/cut-tests
index 5f4d6b5f4..cc739a913 100755
--- a/tests/cut/cut-tests
+++ b/tests/cut/cut-tests
@@ -2049,8 +2049,59 @@ else
esac
fi
test -s empty-f1.E || rm -f empty-f1.E
+$xx -f2 $srcdir/empty-f2.I > empty-f2.O 2> empty-f2.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test empty-f2(F) failed: ../../src/cut return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp empty-f2.O $srcdir/empty-f2.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed empty-f2(F)"; fi ;;
+ 1) $echo "Test empty-f2(F) failed: files empty-f2.O and $srcdir/empty-f2.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test empty-f2(F) may have failed." 1>&2;
+ $echo The command "cmp empty-f2.O $srcdir/empty-f2.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s empty-f2.E || rm -f empty-f2.E
+cat $srcdir/empty-f2.I | $xx -f2 > empty-f2.O 2> empty-f2.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test empty-f2(|) failed: ../../src/cut return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp empty-f2.O $srcdir/empty-f2.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed empty-f2(|)"; fi ;;
+ 1) $echo "Test empty-f2(|) failed: files empty-f2.O and $srcdir/empty-f2.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test empty-f2(|) may have failed." 1>&2;
+ $echo The command "cmp empty-f2.O $srcdir/empty-f2.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s empty-f2.E || rm -f empty-f2.E
+$xx -f2 < $srcdir/empty-f2.I > empty-f2.O 2> empty-f2.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test empty-f2(<) failed: ../../src/cut return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp empty-f2.O $srcdir/empty-f2.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed empty-f2(<)"; fi ;;
+ 1) $echo "Test empty-f2(<) failed: files empty-f2.O and $srcdir/empty-f2.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test empty-f2(<) may have failed." 1>&2;
+ $echo The command "cmp empty-f2.O $srcdir/empty-f2.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s empty-f2.E || rm -f empty-f2.E
if test $errors = 0 ; then
- $echo Passed all 120 tests. 1>&2
+ $echo Passed all 123 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi